local height = tonumber(agent_params["height"]);

for i = 0, height do
    spawn_agent("wall_layer", 0, 0, i, {
        block_type = agent_params["wall_block"],
        width = agent_params["width"],
        depth = agent_params["depth"]
    });
end
